<?php

/**
 * @file
 * Implementation of system related functions that are not executed
 * during normal site operation.
 */

/**
 * Implementation of hook_menu().
 */
function _subnodes_by_taxonomy_menu() {
  $items = array();
  $items['node/%node/subnode/%node/view'] = array(
    'page callback' => 'subnodes_by_taxonomy_node_view',
    'page arguments' => array(4, 1, 3),
    'access callback' => 'subnodes_by_taxonomy_node_access',
    'access arguments' => array('view', 1, 3),
    'type' => MENU_CALLBACK,
    'file' => 'includes/pages.inc',
  );
  $items['node/%node/subnode/%node/ajax'] = array(
    'page callback' => 'subnodes_by_taxonomy_node_view',
    'page arguments' => array(4, 1, 3),
    'access callback' => 'subnodes_by_taxonomy_node_access',
    'access arguments' => array('view', 1, 3),
    'type' => MENU_CALLBACK,
    'file' => 'includes/pages.inc',
  );
  $items['node/%node/subnode/add'] = array(
    'page callback' => 'subnodes_by_taxonomy_node_edit_frame',
    'page arguments' => array('create', 1, 4, 5),
    'access callback' => 'subnodes_by_taxonomy_node_access',
    'access arguments' => array('create', 1, 4),
    'type' => MENU_CALLBACK,
    'file' => 'includes/pages.inc',
  );
  $items['node/%node/subnode/%node/edit'] = array(
    'page callback' => 'subnodes_by_taxonomy_node_edit_frame',
    'page arguments' => array(4, 1, 3),
    'access callback' => 'subnodes_by_taxonomy_node_access',
    'access arguments' => array('update', 1, 3),
    'type' => MENU_CALLBACK,
    'file' => 'includes/pages.inc',
  );
  $items['node/%node/subnode/%node/delete'] = array(
    'page callback' => 'subnodes_by_taxonomy_node_edit_frame',
    'page arguments' => array(4, 1, 3, 5),
    'access callback' => 'subnodes_by_taxonomy_node_access',
    'access arguments' => array('delete', 1, 3),
    'type' => MENU_CALLBACK,
    'file' => 'includes/pages.inc',
  );
  if (module_exists('clone')) {
    $items['node/%node/subnode/%node/clone'] = array(
      'page callback' => 'subnodes_by_taxonomy_node_edit_frame',
      'page arguments' => array(4, 1, 3, 5),
      'access callback' => 'subnodes_by_taxonomy_node_access',
      'access arguments' => array('clone', 1, 3),
      'type' => MENU_CALLBACK,
      'file' => 'includes/pages.inc',
    );
  }
  if (module_exists('translation')) {
    $items['node/%node/subnode/%node/translate'] = array(
      'page callback' => 'subnodes_by_taxonomy_node_edit_frame',
      'page arguments' => array(4, 1, 3, 5),
      'access callback' => 'subnodes_by_taxonomy_node_access',
      'access arguments' => array('translate', 1, 3),
      'type' => MENU_CALLBACK,
      'file' => 'includes/pages.inc',
    );
  }
  if (module_exists('noderelationships')) {
    $items['node/%node/subnode/%node/relationships'] = array(
      'page callback' => 'subnodes_by_taxonomy_node_edit_frame',
      'page arguments' => array(4, 1, 3, 5),
      'access callback' => 'subnodes_by_taxonomy_node_access',
      'access arguments' => array('relationships', 1, 3),
      'type' => MENU_CALLBACK,
      'file' => 'includes/pages.inc',
    );
  }
  return $items;
}

/**
 * Implementation of hook_theme().
 */
function _subnodes_by_taxonomy_theme() {
  return array(
    'subnodes_by_taxonomy_tabset' => array(
      'arguments' => array('element' => NULL),
      'file' => 'includes/pages.inc',
    ),
    'subnodes_by_taxonomy_tab_panel' => array(
      'arguments' => array('parent_node' => NULL, 'child_node' => NULL, 'child_tab' => NULL, 'selected_child_nid' => NULL),
      'file' => 'includes/pages.inc',
    ),
    'subnodes_by_taxonomy_tab_tasks' => array(
      'arguments' => array('parent_node' => NULL, 'child_node' => NULL, 'panel_id' => NULL, 'child_tid' => NULL),
      'file' => 'includes/pages.inc',
    ),
  );
}
