
(function ($) {

/**
 * Modal Frame behavior.
 */
Drupal.modalFrameChild = Drupal.modalFrameChild || {};
Drupal.modalFrameChild.behaviors = Drupal.modalFrameChild.behaviors || {};
Drupal.modalFrameChild.behaviors.subnodesByTaxonomyChildTranslate = function(context) {
  var parentNid = Drupal.settings.subnodesByTaxonomy.parentNid;

  $('a:not(.subnodes-by-taxonomy-processed)', context).addClass('subnodes-by-taxonomy-processed').each(function() {
    // Do not process links that have the class "modalframe-exclude".
    if ($(this).hasClass('modalframe-exclude')) {
      return;
    }
    // Obtain the href attribute of the link.
    var href = $(this).attr('href');
    var target = $(this).attr('target');
    // Do not process links with an empty href, or that only have the fragment.
    if (!href || href.length <= 0 || href.charAt(0) == '#') {
      return;
    }

    // Transform node edit/add links.
    var pos = href.indexOf('node/');
    var regExp = new RegExp('^'+ Drupal.settings.basePath +'(?:[-_a-z0-9]+\/){0,1}node\/(add|[0-9]+)\/.*$');
    if (pos >= 0 && regExp.test(href)) {
      $(this).attr('href', href.substr(0, pos + 5) + parentNid +'/subnode/'+ href.substr(pos + 5));
      $(this).attr('target', '_self');
    }
  });
};

})(jQuery);
